#ifndef _DEALS_
#define _DEALS_
#include <string>
#include "InputParser.hpp"

class Deals
{
public:
	/// @brief Конструктор
	/// @param parser  - парсер аргументов
	/// @param isRussian - вывод справки на русском
	Deals(const InputParser &parser, const bool isRussian, const std::string address, bool isDebug);
	int Process();

private:
	InputParser parser;
	bool isRussian;
	std::string address;
	bool isDebug;

	/// @brief Получение справки о параметрах команды
	int HelpCreate() const;
	int HelpDealStatus() const;
	int HelpDealComplete() const;
	int HelpDealCancel() const;
	int HelpDealNegative() const;
	int Update();
	int Create();
	int Status();
	std::string CommonStatus();
	int Complete();
	int Cancel();
	int Negative();

	std::string GetVal(const std::string first, const std::string second);
	std::string GetDate(const std::string date);
};
#endif